type width = int
type height = int
type t = width * height * Strng.t list
val height : 'a * 'b * 'c -> 'b
val width : 'a * 'b * 'c -> 'a
val above :
  'a * int * 'b list -> 'a * int * 'b list -> 'a * int * 'b list
val beside :
  int * 'a * 'b list Lst.t ->
  int * 'a * 'b list Lst.t -> int * 'a * 'b list Lst.t
val to_strng : 'a * 'b * char Lst.t Lst.t -> char Lst.t
val stack : ('a * int * 'b list) Lst.t -> 'a * int * 'b list
val spread : (int * 'a * 'b list Lst.t) Lst.t -> int * 'a * 'b list Lst.t
val pixel : 'a -> int * int * 'a list list
val row : 'a Lst.t -> int * int * 'a list Lst.t
val column : 'a Lst.t -> int * int * 'a list Lst.t
val empty : int -> int -> int * int * char list Lst.t
val stack_with :
  int -> (int * int * char list list) Lst.t -> int * int * char list list
val spread_with :
  int ->
  (int * int * char list Lst.t) Lst.t -> int * int * char list Lst.t
val tile :
  (int * int * 'a list Lst.t) Lst.t Lst.t -> int * int * 'a list Lst.t
val tile_with :
  int ->
  int ->
  (int * int * char list Lst.t) Lst.t Lst.t ->
  int * int * char list Lst.t
val toplevel_printer : Format.formatter -> t -> unit
(*E04*)
val paragraph : int -> string -> t
val paragraph2 : int -> (int -> Strng.t -> Strng.t) -> string -> t
val rotate : t -> t
